/*
	フェードイン・フェードアウトのシンプルなスライドショー
	http://www.web-labo.jp/archives/2113

	slide_simplefade.js
	var1.1
	2014/01/27
*/

var interval = 7000;	//インターバル時間
var fadeTime = 2500;	//フェードイン、フェードアウトの時間
var imgNo = 1;			//最初に表示したい画像番号


$(function(){

	maxNo = $("#slide img").length;	//#slide内の要素数を取得（画像の枚数）
	fade_in();	//フェードイン処理（最初の1回）

	setInterval(function() {

		//フェードアウト処理
		if(imgNo==1){
			//1枚目に戻す
			$(".img"+maxNo).animate({opacity:0},fadeTime);
		}else{
			//2枚目以降に切り替え
			$(".img"+(imgNo-1) ).animate({opacity:0},fadeTime);
		}

		fade_in();	//フェードイン処理（2回目以降）

	}, interval);	//変数intervalに設定した間隔で実行

});


function fade_in(){

	//フェード
	$(".img"+imgNo).animate({
		opacity:1
	},fadeTime);


	imgNo++;
	if(imgNo>maxNo){
		imgNo=1;	//imgNo が maxNo を越えたら 1 に戻す
	}
}
